summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--Makefile9
-rw-r--r--README.md2
-rwxr-xr-xinstall.sh6
3 files changed, 7 insertions, 10 deletions
diff --git a/Makefile b/Makefile
deleted file mode 100644
index 1899282..0000000
--- a/Makefile
+++ /dev/null
@@ -1,9 +0,0 @@
-.POSIX:
-
-install:
- $(which nvim >/dev/null 2>&1 || @echo "Neovim not installed!" && exit 1)
- $(which luarocks >/dev/null 2>&1 || @echo "Luarocks not installed!" && exit 1)
- $(luarocks list | @grep "fennel" || @echo "fennel is not installed" && exit 1)
- nvim --headless +qa && nvim --headless -c "autocmd User PackerComplete quitall" -c "PackerSync"
-
-.PHONY: install
diff --git a/README.md b/README.md
index 5cbc231..b8c32c5 100644
--- a/README.md
+++ b/README.md
@@ -12,7 +12,7 @@ fnm and node for lsp
Wonky non-deterministic performance currently.
-`make install`
+`./install`
# Structure
diff --git a/install.sh b/install.sh
new file mode 100755
index 0000000..b64693b
--- /dev/null
+++ b/install.sh
@@ -0,0 +1,6 @@
+#!/bin/sh
+
+which nvim >/dev/null 2>&1 || (echo "Neovim not installed!" && exit 1)
+which luarocks >/dev/null 2>&1 || (echo "Luarocks not installed!" && exit 1)
+luarocks list | grep "fennel" >/dev/null 2>&1 || (echo "fennel is not installed" && exit 1)
+nvim --headless +qa && nvim --headless -c "autocmd User PackerComplete quitall"